-- 用户还款记录信息 t_repay_detail
create table t_repay_detail(
	id int not null auto_increment comment 'id',
	code varchar(10) not null comment '还款明细编号',
	repay_code varchar(10) not null default '' comment '用户还款编号',
	repay_date varchar(19) not null default '' comment '还款日期',
	actual_repay_interest decimal(15,2) not null default 0 comment '实际归还利息',
	actual_repay_principal decimal(15,2) not null default 0 comment '实际归还本金',
	should_repay_total decimal(15,2) not null default 0 comment '实际归还本息',
	over_repay_principal decimal(15,2) not null default 0 comment '逾期金额',
	over_repay_interest decimal(15,2) not null default 0 comment '逾期利息',
	over_date_count smallint not null default 0 comment '逾期天数',
	create_time timestamp not null default current_timestamp comment '创建时间',
	update_time timestamp not null default current_timestamp on update current_timestamp comment '更新时间',
	primary key(id) comment '主键,没有重复',
	unique index(code) comment '还款明细编号,唯一索引'
)ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT '用户还款记录信息';